io.vertx.ext.dropwizard

## Class DropwizardVertxMetricsFactory

- java.lang.Object
- - io.vertx.ext.dropwizard.DropwizardVertxMetricsFactory

- All Implemented Interfaces:
    VertxMetricsFactory, VertxServiceProvider

      public class DropwizardVertxMetricsFactory
      extends Object
      implements VertxMetricsFactory

  Author:
    Nick Scavelli

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropwizardVertxMetricsFactory()`
    `DropwizardVertxMetricsFactory(com.codahale.metrics.MetricRegistry metricRegistry)` Create a metrics factory passing a metric registry used instead of the Dropwizard shared registry.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VertxMetrics` | `metrics(VertxOptions options)` Create a new `VertxMetrics` object. No specific thread and context can be expected when this method is called.
    `MetricsOptions` | `newOptions()` Create an empty metrics options.
    `MetricsOptions` | `newOptions(JsonObject jsonObject)` Create metrics options from the provided `jsonObject`.
    `MetricsOptions` | `newOptions(MetricsOptions options)` Create metrics options from the provided `options`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.core.spi.VertxMetricsFactory

      `init`

- - ### Constructor Detail

    - #### DropwizardVertxMetricsFactory

          public DropwizardVertxMetricsFactory()

    - #### DropwizardVertxMetricsFactory

          public DropwizardVertxMetricsFactory(com.codahale.metrics.MetricRegistry metricRegistry)

      Create a metrics factory passing a metric registry used instead of the Dropwizard shared registry.
      Parameters:
        `metricRegistry` - the metricRegistry

  - ### Method Detail

    - #### metrics

          public VertxMetrics metrics(VertxOptions options)

      Description copied from interface: `VertxMetricsFactory`
      Create a new `VertxMetrics` object.

      No specific thread and context can be expected when this method is called.
      Specified by:
        `metrics` in interface `VertxMetricsFactory`
      Parameters:
        `options` - the metrics configuration option
      Returns:
        the metrics implementation

    - #### newOptions

          public MetricsOptions newOptions(MetricsOptions options)

      Description copied from interface: `VertxMetricsFactory`
      Create metrics options from the provided `options`.

      Providers can override this method to provide a custom metrics options subclass that exposes custom configuration.

      It is used when a Vert.x instance is created with a `MetricsOptions` instance.

      Specified by:
        `newOptions` in interface `VertxMetricsFactory`
      Parameters:
        `options` - new metrics options
      Returns:
        new metrics options

    - #### newOptions

          public MetricsOptions newOptions()

      Description copied from interface: `VertxMetricsFactory`
      Create an empty metrics options. Providers can override this method to provide a custom metrics options subclass that exposes custom configuration. It is used by the `Launcher` class when creating new options when building a CLI Vert.x.
      Specified by:
        `newOptions` in interface `VertxMetricsFactory`
      Returns:
        new metrics options

    - #### newOptions

          public MetricsOptions newOptions(JsonObject jsonObject)

      Description copied from interface: `VertxMetricsFactory`
      Create metrics options from the provided `jsonObject`.

      Providers can override this method to provide a custom metrics options subclass that exposes custom configuration.

      It is used by the `Launcher` class when creating new options when building a CLI Vert.x.

      Specified by:
        `newOptions` in interface `VertxMetricsFactory`
      Parameters:
        `jsonObject` - json provided by the user
      Returns:
        new metrics options

Copyright © 2025 Eclipse. All rights reserved.